*       { padding: 0; margin: 0; position: relative; }
html    { height: 100%; z-index: -1; }
/* nastavení písma */
body    { font-family: 'Open Sans', sans-serif; overflow-x: hidden; }
/* nadpisy na stránkách + nadpis v hlavičce označen zvlášť jako title */
h1      { font-size: 25px; color: #3a090a; font-weight: bold; margin-bottom: 10px;}
/* položky v menu */
h2      { font-size: 18px; color: #3a090a; }
/* čísla u piv */
h3      { font-size: 16px; color: #3a090a; }
/* nadpisy točených piv */
h4      { font-size: 14px; color: #3a090a; }
/* nadpisy v patičce */
h5      { font-size: 14px; }
/* odstavce */
p, li, label   { font-size: 13px; color: #3a090a; text-align: justify; text-justify: inter-word; margin-bottom: 10px;}
/* všechny odkazy jsou bíle podtržené */
a, a:link, a:visited, a:active {
    text-decoration: none;
}
/* při najetí myší žlutá barva */
a h2:hover {
    color: #e0a00d;
}
img {
    border: none;
}
li {
    list-style-position: inside;
    margin: 15px;
}
/*DL, DT, DD TAGS LIST DATA*/
dl { 
    overflow: hidden;
}
 
dl dt   { 
    padding: 5px 0;
    width: 90%; 
    margin: 10px 5px;
    text-align: left;
}
 
dl dd {
    padding: 5px 0;
    margin: 10px 5px;
}
/* de facto pozadí */
#backgroundpiece {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: -1;
}
/* vystředěný pruh uprostřed stránky */
.centerpiece {
    width: 990px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 0;
    margin-bottom: 0;
}
#content {
    z-index: 4;
}
/* box na přepínání jazyků (užitečný pouze v počátku projektu, později lze smazat) */
#langbox {
    position: relative;
    float: right;
    margin: 20px;
    background-color: darkred;
    border: 2px solid whitesmoke;
}
#langbox img {
    float: left;
    margin: 10px 10px 5px 10px;
}
#langbox p {
    margin: 10px;
}

/* box na vzpisování errormessagů a debugu */
#debugbox {
    position: relative;
    width: 1000px;
    margin-top: 30px;
    margin-left: auto;
    margin-right: auto;
    background-color: darkred;
    color: whitesmoke;
    border: 2px solid whitesmoke;
}
#debugbox p {
    color: whitesmoke;
}

/* poloprůhledný překryv */
#overlay {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background-color: #580103;
    opacity: 0.65;
    filter: alpha(opacity=65);
 }

/* ochcávka pro Zend Form */ 
#submit-label {
    display: none;
}
#submit-element {
    width: 98%;
}
 
 /* zarovnávání */
.left   {text-align: left;}
.center {text-align: center;}
.right  {text-align: right;}

.floatleft  {float: left}
.floatright {float: right}

/* obecně užitečné třídy*/
.hidden{
    display: none;
}
.clear {
    height: 1px;
    overflow: hidden;
    clear: both;
}
.full {
    width: 100%;
    height: 100%;
}
.nodisplay {
    display: none;
}
.smalltext {
    font-size: 8px;
}
.ontop {
    z-index: 999;
}
.last {
    margin-right: 0px;
}
/* zend form */
.required {
    font-weight: bold;
}

/* administrace */
.textboxwide {
    width: 100%;
}
.textboxbig {
    height: 350px;
    margin: 15px;
    vertical-align: text-top;
}
.textboxhuge {
    height: 700px;
    margin: 15px;
    vertical-align: text-top;
}
.savebutton {
    width: 97%;
    height: 40px;
    margin: 10px;
}
.opaque {
    position: absolute;
    height: 100%;
    width: 100%;
    background-color: black;
    opacity: 0.5;
    filter: alpha(opacity=50);
    z-index: 2;    
}
.shadowout {
    overflow: hidden;
    -webkit-box-shadow: 7px 7px 5px rgba(50, 50, 50, 0.75);
    -moz-box-shadow:    7px 7px 5px rgba(50, 50, 50, 0.75);
    box-shadow:         7px 7px 5px rgba(50, 50, 50, 0.75);
}
.shadowout-lite {
    overflow: hidden;
    -webkit-box-shadow: 3px 3px 2px rgba(50, 50, 50, 0.75);
    -moz-box-shadow:    3px 3px 2px rgba(50, 50, 50, 0.75);
    box-shadow:         3px 3px 2px rgba(50, 50, 50, 0.75);
}
.shadowin {
    overflow: hidden;
    -webkit-box-shadow: inset 0px 0px 5px 5px rgba(50, 50, 50, 0.75);
    -moz-box-shadow:    inset 0px 0px 5px 5px rgba(50, 50, 50, 0.75);
    box-shadow:         inset 0px 0px 5px 5px rgba(50, 50, 50, 0.75);
}
.glow {
    text-shadow: 0 0 10px #fff, 0 0 20px #fff, 0 0 30px #fff, 0 0 40px #fff, 0 0 70px #fff, 0 0 80px #fff, 0 0 100px #fff, 0 0 150px #fff;
}
.frame {
    position: relative;
    width: 750px;
    margin-top: 40px;
    border: 1px solid black;
    -moz-border-radius-topright: 20px;
    -webkit-border-top-right-radius: 20px;
    border-top-right-radius: 20px;
    -moz-border-radius-bottomright: 20px;
    -webkit-border-bottom-right-radius: 20px;
    border-bottom-right-radius: 20px;
    -moz-border-radius-bottomleft: 20px;
    -webkit-border-bottom-left-radius: 20px;
    border-bottom-left-radius: 20px;
    z-index: 2;
}
.fullsize {
    width: 100%;
    height: 100%;
}
.xdebug-var-dump {
    background-color: white;
    display: block;
    z-index: 999;
}
.zindex {
    z-index: 999;
}
.padding15 {
    padding: 15px;
}
.padding10 {
    padding: 10px;
}
.padding5 {
    padding: 5px;
}